@use '/src/mainColor' as *;

.light-mode {
  .styled-container {
    --back: linear-gradient(#{mainColor(97%)}, #{mainColor(99%)});
    --shadow: 0 .5em 1em #{mainColor(85%, .5)};
    --border: 1px solid #{mainColor(90%)};
  }
}
.dark-mode {
  .styled-container {
    --back: #{mainColor(15%)};
    --shadow: 0 .5em 1em #{mainColor(10%, .5)};
    --border: 1px solid #{mainColor(10%)};
  }
}

.styled-container {
  overflow: hidden;
  width: fit-content;
  max-width: 95%;
  margin: 1em auto;
  padding: 1em;
  border-radius: 1em;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: var(--back);
  box-shadow: var(--shadow);
  border: var(--border);
}